## xxxterm 1.9.0

=== Makefile ===
PREFIX?=/usr/local
BINDIR=${PREFIX}/bin

PROG=xxxterm
MAN=xxxterm.1

SRCS= cookie.c inspector.c marco.c about.c whitelist.c settings.c inputfocus.c
SRCS+= xxxterm.c
CFLAGS+= -O2 -Wall -Wno-format-extra-args -Wunused
CFLAGS+= -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-sign-compare
DEBUG= -ggdb3
LDADD= -lutil -lgcrypt
LIBS+= gtk+-2.0
LIBS+= webkit-1.0
LIBS+= libsoup-2.4
LIBS+= gnutls
LIBS+= gthread-2.0
GTK_CFLAGS!= pkg-config --cflags $(LIBS)
GTK_LDFLAGS!= pkg-config --libs $(LIBS)
CFLAGS+= $(GTK_CFLAGS)
LDFLAGS+= $(GTK_LDFLAGS)
BUILDVERSION != sh "${.CURDIR}/buildver.sh"
.if !${BUILDVERSION} == ""
CPPFLAGS+= -DXXXTERM_BUILDSTR=\"$(BUILDVERSION)\"
.endif

MANDIR= ${PREFIX}/man/man

CLEANFILES += ${.CURDIR}/javascript.h xxxterm.cat1 xxxterm.core

${.CURDIR}/javascript.h: hinting.js input-focus.js
	perl ${.CURDIR}/js-merge-helper.pl ${.CURDIR}/hinting.js \
	    ${.CURDIR}/input-focus.js >  ${.CURDIR}/javascript.h

beforeinstall:
	install -m 755 -d ${PREFIX}/share/xxxterm
	install -m 644 ${.CURDIR}/xxxtermicon.png ${PREFIX}/share/xxxterm
	install -m 644 ${.CURDIR}/xxxtermicon16.png ${PREFIX}/share/xxxterm
	install -m 644 ${.CURDIR}/xxxtermicon32.png ${PREFIX}/share/xxxterm
	install -m 644 ${.CURDIR}/xxxtermicon48.png ${PREFIX}/share/xxxterm
	install -m 644 ${.CURDIR}/xxxtermicon64.png ${PREFIX}/share/xxxterm
	install -m 644 ${.CURDIR}/xxxtermicon128.png ${PREFIX}/share/xxxterm
	install -m 644 ${.CURDIR}/style.css ${PREFIX}/share/xxxterm

${PROG} ${OBJS} beforedepend: ${.CURDIR}/javascript.h

# clang targets
.if ${.TARGETS:M*analyze*}
CFLAGS+= -Wdeclaration-after-statement -Wshadow
CC=clang
CXX=clang++
CPP=clang -E
CFLAGS+=--analyze
.elif ${.TARGETS:M*clang*}
CFLAGS+= -Wdeclaration-after-statement -Wshadow
CC=clang
CXX=clang++
CPP=clang -E
.endif

analyze: all
clang: all

.include <bsd.prog.mk>

=== freebsd/Makefile ===
LIBS= gtk+-2.0 webkit-1.0 libsoup-2.4 gnutls gthread-2.0

LDADD= -lutil -lgcrypt
GTK_CFLAGS!= pkg-config --cflags $(LIBS)
GTK_LDFLAGS!= pkg-config --libs $(LIBS)
CFLAGS+= $(GTK_CFLAGS) -O2 -Wall -pthread
LDFLAGS+= $(GTK_LDFLAGS) -pthread

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
LIBDIR?= $(PREFIX)/lib
MANDIR?= $(PREFIX)/man

CC?= cc

all: ../javascript.h xxxterm

../javascript.h: ../js-merge-helper.pl ../hinting.js
	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js > \
	../javascript.h

xxxterm.o: ../xxxterm.o

marco.o: ../marco.o

whitelist.o: ../whitelist.o

settings.o: ../settings.o

about.o: ../about.o

inspector.o: ../inspector.o

cookie.o: ../cookie.o

../xxxterm.o: ../javascript.h

xxxterm: xxxterm.o freebsd.o marco.o about.o inspector.o whitelist.o settings.o cookie.o
	$(CC) $(LDFLAGS) -o $@ *.o $+ $(LDADD)

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 xxxterm $(DESTDIR)$(BINDIR)
	install -m 644 ../xxxterm.1 $(DESTDIR)$(MANDIR)/man1/xxxterm.1

clean:
	rm -f xxxterm *.o
	rm -f javascript.h

.PHONY: all install clean

=== linux/Makefile ===
LIBS= gtk+-2.0 webkit-1.0 libsoup-2.4 gnutls gthread-2.0

CFLAGS+= -O2 -Wall -ggdb3 -D_GNU_SOURCE -I. $(shell pkg-config --cflags $(LIBS))
LDADD+= $(shell pkg-config --libs $(LIBS)) -lbsd -ldl -lgcrypt

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
LIBDIR?= $(PREFIX)/lib
MANDIR?= $(PREFIX)/share/man
RESDIR?= $(PREFIX)/share/xxxterm

SRCS= $(shell ls ../*.c)
SRCS+= linux.c
OBJS= $(SRCS:.c=.o)
DEPS= $(addsuffix .depend, $(OBJS))

CC?= gcc

all: javascript.h xxxterm

javascript.h: ../js-merge-helper.pl ../hinting.js
	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js > \
	javascript.h

xxxterm: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $+ $(LDADD)

%.o: %.c
	@echo "Generating $@.depend"
	@$(CC) -MM $(CPPFLAGS) $(CFLAGS) $< | \
	sed 's,^.*\.o[ :]*,$@ $@.depend : ,g' > $@.depend
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ -c $<

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 -d $(DESTDIR)$(RESDIR)
	install -m 755 xxxterm $(DESTDIR)$(BINDIR)
	install -m 644 ../xxxterm.1 $(DESTDIR)$(MANDIR)/man1/xxxterm.1
	install -m 644 ../xxxtermicon16.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xxxtermicon32.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xxxtermicon48.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xxxtermicon64.png $(DESTDIR)$(RESDIR)
	install -m 644 ../xxxtermicon128.png $(DESTDIR)$(RESDIR)
	install -m 644 ../style.css $(DESTDIR)$(RESDIR)

uninstall:
	rm -f $(DESTDIR)$(BINDIR)/xxxterm
	rm -f $(DESTDIR)$(MANDIR)/man1/xxxterm.1
	rm -f $(DESTDIR)$(RESDIR)/xxxtermicon.png
	rm -f $(DESTDIR)$(RESDIR)/xxxtermicon16.png
	rm -f $(DESTDIR)$(RESDIR)/xxxtermicon32.png
	rm -f $(DESTDIR)$(RESDIR)/xxxtermicon48.png
	rm -f $(DESTDIR)$(RESDIR)/xxxtermicon64.png
	rm -f $(DESTDIR)$(RESDIR)/xxxtermicon128.png
	rm -f $(DESTDIR)$(RESDIR)/style.css
	if [ -d $(DESTDIR)$(RESDIR) ]; then rmdir $(DESTDIR)$(RESDIR); fi
clean:
	rm -f xxxterm $(OBJS) $(DEPS)
	rm -f javascript.h


-include $(DEPS)

.PHONY: all install clean

=== debian/changelog ===
xxxterm (1:1.9.0-1) unstable; urgency=low

  * New upstream release (Closes: #648228 #651673)
  * Updated copyright file
  * Added 'epoch' component to package version, due to upstream versioning
    scheme change

 -- Luis Henriques <henrix@camandro.org>  Thu, 08 Dec 2011 21:35:33 +0000

xxxterm (1.518-1) unstable; urgency=low

  * Imported Upstream version 1.518 (Closes: #636807)
  * Patches re-generation (package being managed with git now)
  * Updated copyright file
  * watch file modified
  * build-deps now has one package per line

 -- Luis Henriques <luis.henrix@gmail.com>  Tue, 09 Aug 2011 19:03:51 +0100

xxxterm (1.471-1) unstable; urgency=low

  * New upstream release (Closes: #636566)
  * Fixed typo in man page, with patch from "A. Costa" <agcosta@gis.net>
    (Closes: 635643)
  * Added 3 new example files: playflash.sh for the default_script
    configuration option, a quickmarks file and a favorites file

 -- Luis Henriques <luis.henrix@gmail.com>  Thu, 04 Aug 2011 22:26:01 +0100

xxxterm (1.425-2) unstable; urgency=low

  * Transition to Webkit 1.3 (Closes: #635433)
  * Fix icon path on debian/menu (Closes: #635355)

 -- Luis Henriques <luis.henrix@gmail.com>  Tue, 26 Jul 2011 19:07:59 +0100

xxxterm (1.425-1) unstable; urgency=low

  * New upstream release (Closes: #634084)
  * Added upstream changelog, obtained from project web forum
  * Corrected copyright for files hinting.js, input-focus.js and
    js-merge-helper.pl; Added copyright for PNG files and for javascript.h
  * Removed patches that have been upstreamed.
  * Corrected icon path on debian/menu

 -- Luis Henriques <luis.henrix@gmail.com>  Sun, 24 Jul 2011 16:41:29 +0100

xxxterm (1.399-1) unstable; urgency=low

  * Initial release (Closes: #631655)

 -- Luis Henriques <luis.henrix@gmail.com>  Sat, 25 Jun 2011 20:09:05 +0100

## xxxterm 1.10.0

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,10 @@
 MAN=xxxterm.1
 
 SRCS= cookie.c inspector.c marco.c about.c whitelist.c settings.c inputfocus.c
-SRCS+= xxxterm.c
+SRCS+= history.c completion.c externaleditor.c xxxterm.c
 CFLAGS+= -O2 -Wall -Wno-format-extra-args -Wunused
 CFLAGS+= -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-sign-compare
+CFLAGS+= -I.
 DEBUG= -ggdb3
 LDADD= -lutil -lgcrypt
 LIBS+= gtk+-2.0
@@ -26,11 +27,19 @@
 
 MANDIR= ${PREFIX}/man/man
 
-CLEANFILES += ${.CURDIR}/javascript.h xxxterm.cat1 xxxterm.core
+CLEANFILES += ${.CURDIR}/javascript.h javascript.h xxxterm.cat1 xxxterm.core
 
-${.CURDIR}/javascript.h: hinting.js input-focus.js
-	perl ${.CURDIR}/js-merge-helper.pl ${.CURDIR}/hinting.js \
-	    ${.CURDIR}/input-focus.js >  ${.CURDIR}/javascript.h
+JSFILES += hinting.js
+JSFILES += input-focus.js
+JSFILES += autoscroll.js
+
+.for _js in ${JSFILES}
+JSCURDIR += ${.CURDIR}/${_js}
+.endfor
+
+javascript.h: ${JSFILES} js-merge-helper.pl
+	perl ${.CURDIR}/js-merge-helper.pl \
+		${JSCURDIR} > javascript.h
 
 beforeinstall:
 	install -m 755 -d ${PREFIX}/share/xxxterm
@@ -42,7 +51,7 @@
 	install -m 644 ${.CURDIR}/xxxtermicon128.png ${PREFIX}/share/xxxterm
 	install -m 644 ${.CURDIR}/style.css ${PREFIX}/share/xxxterm
 
-${PROG} ${OBJS} beforedepend: ${.CURDIR}/javascript.h
+${PROG} ${OBJS} beforedepend: javascript.h
 
 # clang targets
 .if ${.TARGETS:M*analyze*}

=== freebsd/Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 all: ../javascript.h xxxterm
 
-../javascript.h: ../js-merge-helper.pl ../hinting.js
-	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js > \
-	../javascript.h
+../javascript.h: ../js-merge-helper.pl ../hinting.js ../autoscroll.js
+	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js \
+	../autoscroll.js > ../javascript.h
 
 xxxterm.o: ../xxxterm.o
 
@@ -33,9 +33,18 @@
 
 cookie.o: ../cookie.o
 
+inputfocus.o: ../inputfocus.o
+
+history.o: ../history.o
+
+completion.o: ../completion.o
+
+externaleditor.o: ../externaleditor.o
+
 ../xxxterm.o: ../javascript.h
 
-xxxterm: xxxterm.o freebsd.o marco.o about.o inspector.o whitelist.o settings.o cookie.o
+xxxterm: xxxterm.o freebsd.o marco.o about.o inspector.o whitelist.o settings.o \
+	cookie.o history.o completion.o inputfocus.o externaleditor.o
 	$(CC) $(LDFLAGS) -o $@ *.o $+ $(LDADD)
 
 install: all

=== linux/Makefile ===
--- 
+++ 
@@ -18,9 +18,9 @@
 
 all: javascript.h xxxterm
 
-javascript.h: ../js-merge-helper.pl ../hinting.js
-	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js > \
-	javascript.h
+javascript.h: ../js-merge-helper.pl ../hinting.js ../autoscroll.js
+	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js \
+	../autoscroll.js > javascript.h
 
 xxxterm: $(OBJS)
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $+ $(LDADD)

=== debian/changelog ===
xxxterm (1:1.10.0-1) unstable; urgency=low

  * New upstream release

 -- Luis Henriques <henrix@camandro.org>  Thu, 05 Jan 2012 00:09:02 +0000

=== debian/control ===
Source: xxxterm
Section: web
Priority: optional
Maintainer: Luis Henriques <henrix@camandro.org>
Build-Depends: debhelper (>= 8),
  libwebkitgtk-dev,
  libgtk2.0-dev,
  libsoup2.4-dev,
  libgnutls-dev,
  libbsd-dev,
  imagemagick
Standards-Version: 3.9.2
Homepage: http://opensource.conformal.com/wiki/XXXTerm

Package: xxxterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Minimalist's web browser
 XXXTerm is a minimalists web browser.  It strives to be vi-like for
 heavy keyboard users while maintaining traditional web browser behavior.
 .
 Major features include:
  * Tabbed browsing
  * Cookie support
  * Cookie white list
  * JavaScript white list
  * JavaScript runtime toggle
  * History
  * Download manager
  * vim keybindings
  * Text based config file
  * Search engine entry box
  * Search on page
  * Basic MIME support
  * Favorites
  * Print, including to pdf
  * Mouse-less browsing

## xxxterm 1.11.3

=== Makefile ===
--- 
+++ 
@@ -4,12 +4,13 @@
 PROG=xxxterm
 MAN=xxxterm.1
 
+DEBUG= -ggdb3
+
 SRCS= cookie.c inspector.c marco.c about.c whitelist.c settings.c inputfocus.c
-SRCS+= history.c completion.c externaleditor.c xxxterm.c
+SRCS+= history.c completion.c tldlist.c externaleditor.c unix.c xxxterm.c
 CFLAGS+= -O2 -Wall -Wno-format-extra-args -Wunused
-CFLAGS+= -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-sign-compare
-CFLAGS+= -I.
-DEBUG= -ggdb3
+CFLAGS+= -Wextra -Wno-unused-parameter -Wno-missing-field-initializers -Wno-sign-compare ${DEBUG}
+CFLAGS+= -I. -I${.CURDIR}
 LDADD= -lutil -lgcrypt
 LIBS+= gtk+-2.0
 LIBS+= webkit-1.0
@@ -49,6 +50,7 @@
 	install -m 644 ${.CURDIR}/xxxtermicon48.png ${PREFIX}/share/xxxterm
 	install -m 644 ${.CURDIR}/xxxtermicon64.png ${PREFIX}/share/xxxterm
 	install -m 644 ${.CURDIR}/xxxtermicon128.png ${PREFIX}/share/xxxterm
+	install -m 644 ${.CURDIR}/tld-rules ${PREFIX}/share/xxxterm
 	install -m 644 ${.CURDIR}/style.css ${PREFIX}/share/xxxterm
 
 ${PROG} ${OBJS} beforedepend: javascript.h

=== freebsd/Makefile ===
--- 
+++ 
@@ -21,6 +21,8 @@
 
 xxxterm.o: ../xxxterm.o
 
+unix.o: ../unix.o
+
 marco.o: ../marco.o
 
 whitelist.o: ../whitelist.o
@@ -41,10 +43,13 @@
 
 externaleditor.o: ../externaleditor.o
 
+tldlist.o: ../tldlist.o
+
 ../xxxterm.o: ../javascript.h
 
 xxxterm: xxxterm.o freebsd.o marco.o about.o inspector.o whitelist.o settings.o \
-	cookie.o history.o completion.o inputfocus.o externaleditor.o
+	cookie.o history.o completion.o inputfocus.o tldlist.o externaleditor.o \
+	unix.o
 	$(CC) $(LDFLAGS) -o $@ *.o $+ $(LDADD)
 
 install: all

=== linux/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 LIBS= gtk+-2.0 webkit-1.0 libsoup-2.4 gnutls gthread-2.0
 
-CFLAGS+= -O2 -Wall -ggdb3 -D_GNU_SOURCE -I. $(shell pkg-config --cflags $(LIBS))
+CFLAGS+= -O2 -Wall -ggdb3 -D_GNU_SOURCE -I. -I.. $(shell pkg-config --cflags $(LIBS))
 LDADD+= $(shell pkg-config --libs $(LIBS)) -lbsd -ldl -lgcrypt
 
 PREFIX?= /usr/local
@@ -15,6 +15,11 @@
 DEPS= $(addsuffix .depend, $(OBJS))
 
 CC?= gcc
+
+BUILDVERSION= $(shell sh $(CURDIR)/../buildver.sh)
+ifneq ("${BUILDVERSION}", "")
+CFLAGS+= -DXXXTERM_BUILDSTR=\"$(BUILDVERSION)\"
+endif
 
 all: javascript.h xxxterm
 
@@ -43,6 +48,7 @@
 	install -m 644 ../xxxtermicon48.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xxxtermicon64.png $(DESTDIR)$(RESDIR)
 	install -m 644 ../xxxtermicon128.png $(DESTDIR)$(RESDIR)
+	install -m 644 ../tld-rules $(DESTDIR)$(RESDIR)
 	install -m 644 ../style.css $(DESTDIR)$(RESDIR)
 
 uninstall:

=== debian/changelog ===
xxxterm (1:1.11.3-1.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Daniel T Chen ]
  * Added patch resolving FTBFS due to missing header
   (Closes: #729439, #730330)

 -- David Prévot <taffit@debian.org>  Mon, 23 Dec 2013 19:02:49 -0400

xxxterm (1:1.11.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS due to main Makefile being fit for BSD make (Closes: 718074).

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 16 Oct 2013 10:54:59 +0200

xxxterm (1:1.11.3-1) unstable; urgency=low

  * New upstream release
  * Updated copyright file with new files in package
  * Updated copyright file "format" field
  * Added postinst and prerm to add/remove x-www-browser alternative
    (Closes: #660331)
  * Updated Standards-Version to latest version (3.9.3)

 -- Luis Henriques <henrix@camandro.org>  Sun, 04 Mar 2012 13:12:46 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   libgnutls-dev,
   libbsd-dev,
   imagemagick
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://opensource.conformal.com/wiki/XXXTerm
 
 Package: xxxterm

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules makefile that uses debhelper.
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_build:
	$(MAKE) -C linux/ PREFIX=/usr
	convert -resize 32x32 xxxtermicon32.png xxxterm.xpm

override_dh_auto_install:
	$(MAKE) -C linux/ install PREFIX=/usr \
		DESTDIR=$(CURDIR)/debian/xxxterm
override_dh_auto_clean:
	$(MAKE) -C linux/ clean
	rm -f xxxterm.xpm

override_dh_installchangelogs:
	dh_installchangelogs debian/xxxterm.upstream-changelog

override_dh_auto_test:

%:
	dh $@

=== debian/watch ===
version=3
http://opensource.conformal.com/snapshots/xxxterm/xxxterm-([\d\.]+)\.tgz

## xxxterm 1.518

=== Makefile ===
# $xxxterm: Makefile,v 1.20 2011/07/07 17:08:13 marco Exp $

PREFIX?=/usr/local
BINDIR=${PREFIX}/bin

PROG=xxxterm
MAN=xxxterm.1

SRCS= xxxterm.c marco.c
COPT+= -O2
DEBUG= -ggdb3
LDADD= -lutil
LIBS+= gtk+-2.0
LIBS+= webkit-1.0
LIBS+= libsoup-2.4
LIBS+= gnutls
GTK_CFLAGS!= pkg-config --cflags $(LIBS)
GTK_LDFLAGS!= pkg-config --libs $(LIBS)
CFLAGS+= $(GTK_CFLAGS) -Wall -pthread
LDFLAGS+= $(GTK_LDFLAGS) -pthread

MANDIR= ${PREFIX}/man/man

CLEANFILES += ${.CURDIR}/javascript.h xxxterm.cat1

${.CURDIR}/javascript.h: hinting.js input-focus.js
	perl ${.CURDIR}/js-merge-helper.pl ${.CURDIR}/hinting.js \
	    ${.CURDIR}/input-focus.js >  ${.CURDIR}/javascript.h

beforeinstall:
	mkdir -p ${PREFIX}/share/xxxterm
	cp ${.CURDIR}/xxxtermicon16.png ${PREFIX}/share/xxxterm
	cp ${.CURDIR}/xxxtermicon32.png ${PREFIX}/share/xxxterm
	cp ${.CURDIR}/xxxtermicon48.png ${PREFIX}/share/xxxterm
	cp ${.CURDIR}/xxxtermicon64.png ${PREFIX}/share/xxxterm
	cp ${.CURDIR}/xxxtermicon128.png ${PREFIX}/share/xxxterm
	cp ${.CURDIR}/style.css ${PREFIX}/share/xxxterm

${PROG} ${OBJS} beforedepend: ${.CURDIR}/javascript.h

release: xxxterm xxxterm.cat1
	@sh ${.CURDIR}/release.sh ${.CURDIR}

.include <bsd.prog.mk>

=== freebsd/Makefile ===
# $xxxterm: Makefile,v 1.9 2011/08/25 14:02:39 marco Exp $

LIBS= gtk+-2.0 webkit-1.0 libsoup-2.4 gnutls

LDADD= -lutil
GTK_CFLAGS!= pkg-config --cflags $(LIBS)
GTK_LDFLAGS!= pkg-config --libs $(LIBS)
CFLAGS+= $(GTK_CFLAGS) -Wall -pthread
LDFLAGS+= $(GTK_LDFLAGS) -pthread

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
LIBDIR?= $(PREFIX)/lib
MANDIR?= $(PREFIX)/man

CC?= cc

all: ../javascript.h xxxterm

../javascript.h: ../js-merge-helper.pl ../hinting.js
	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js > \
	../javascript.h

xxxterm.o: ../xxxterm.o

marco.o: ../marco.o

../xxxterm.o: ../javascript.h

xxxterm: xxxterm.o freebsd.o marco.o
	$(CC) $(LDFLAGS) -o $@ *.o $+ $(LDADD)

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 xxxterm $(DESTDIR)$(BINDIR)
	install -m 644 ../xxxterm.1 $(DESTDIR)$(MANDIR)/man1/xxxterm.1

clean:
	rm -f xxxterm *.o
	rm -f javascript.h

.PHONY: all install clean

=== linux/Makefile ===
# $xxxterm: Makefile,v 1.10 2011/05/21 16:48:29 rgraf Exp $

LIBS= gtk+-2.0 webkit-1.0 libsoup-2.4 gnutls

CFLAGS+= -Wall -ggdb -D_GNU_SOURCE -I. $(shell pkg-config --cflags $(LIBS))
LDADD+= $(shell pkg-config --libs $(LIBS)) -lbsd -ldl

PREFIX?= /usr/local
BINDIR?= $(PREFIX)/bin
LIBDIR?= $(PREFIX)/lib
MANDIR?= $(PREFIX)/share/man

CC?= gcc

all: javascript.h xxxterm

javascript.h: ../js-merge-helper.pl ../hinting.js
	perl ../js-merge-helper.pl ../hinting.js ../input-focus.js > \
	javascript.h

xxxterm.o: javascript.h

xxxterm: ../marco.o ../xxxterm.o linux.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LDADD)

install: all
	install -m 755 -d $(DESTDIR)$(BINDIR)
	install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 755 xxxterm $(DESTDIR)$(BINDIR)
	install -m 644 ../xxxterm.1 $(DESTDIR)$(MANDIR)/man1/xxxterm.1

clean:
	rm -f xxxterm *.o ../*.o
	rm -f javascript.h

.PHONY: all install clean

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xxxterm
 Section: web
 Priority: optional
-Maintainer: Luis Henriques <henrix@camandro.org>
+Maintainer: Luis Henriques <luis.henrix@gmail.com>
 Build-Depends: debhelper (>= 8),
   libwebkitgtk-dev,
   libgtk2.0-dev,
@@ -9,7 +9,7 @@
   libgnutls-dev,
   libbsd-dev,
   imagemagick
-Standards-Version: 3.9.3
+Standards-Version: 3.9.2
 Homepage: http://opensource.conformal.com/wiki/XXXTerm
 
 Package: xxxterm
